##### 0 - build project
##### code by Hannington Bukomeko

#### Package notes
# library(data.table)       # enhanced data.frame
# library(glmmTMB)          # fitting mixed effects models
# library(broom)            # tidying model outputs
# library(broom.mixed)      # tidying mixed model outputs
# library(DHARMa)           # mixed model diagnostics
# library(car)              # Walds chi-square tests for null vs full models
# library(multcomp)         # post Hoc testing
# library(emmeans)          # post hoc testing with interactions
# library(lsmeans)          # post hoc testing with interactions
# library(bbmle)            #for AIC tab
# library(patchwork)        # combining gg objects
# library(bbmle)            # Compare AIC between models

### Install required packages if necessary
required_packages <- c("ggplot2","grid","scales","ggthemes", "purrr", "tibble", "dplyr", "tidyr", "stringr", "readr",
                "forcats","data.table","glmmTMB","broom",
                "broom.mixed", "DHARMa","car", "multcomp", "emmeans",
                "lsmeans","bbmle","patchwork")

for (package in required_packages) {
  if (package %in% rownames(installed.packages()) == FALSE) {
    install.packages(package)
  }
}

# load theme
invisible(lapply(required_packages, library, character.only = TRUE))

### Run all scripts in the correct order
all_scripts <- list.files("./Nutrition_and_weevils/scripts", full.names = TRUE)
target_scripts <- all_scripts[grep("[1-9]", all_scripts)]

for (script in target_scripts) source(script, local = TRUE)

